petsc-3.6.2 2015-10-02
Report Typos and Errors

# MATAIJCUSP

MATMPIAIJCUSP= "aijcusp" = "mpiaijcusp" - A matrix type to be used for sparse matrices. A matrix type type whose data resides on Nvidia GPUs. These matrices can be CSR format. All matrix calculations are performed using the CUSP library. DIA and ELL formats are also available

This matrix type is identical to MATSEQAIJCUSP when constructed with a single process communicator, and MATMPIAIJCUSP otherwise. As a result, for single process communicators, MatSeqAIJSetPreallocation is supported, and similarly MatMPIAIJSetPreallocation is supported for communicators controlling multiple processes. It is recommended that you call both of the above preallocation routines for simplicity.

### Options Database Keys

| -mat_type mpiaijcusp | - sets the matrix type to "mpiaijcusp" during a call to MatSetFromOptions()
| -mat_cusp_storage_format csr | - sets the storage format of diagonal and off-diagonal matrices during a call to MatSetFromOptions(). Other storage formats include dia (diagonal) or ell (ellpack).
| -mat_cusp_mult_diag_storage_format csr | - sets the storage format of diagonal matrix during a call to MatSetFromOptions(). Other storage formats include dia (diagonal) or ell (ellpack).
| -mat_cusp_mult_offdiag_storage_format csr | - sets the storage format of off-diagonal matrix during a call to MatSetFromOptions(). Other storage formats include dia (diagonal) or ell (ellpack).

.seealso: MatCreateAIJCUSP(), MATSEQAIJCUSP, MatCreateSeqAIJCUSP(), MatCUSPSetFormat(), MatCUSPStorageFormat, MatCUSPFormatOperation

Level:beginner
Location:src/mat/impls/aij/mpi/mpicusp/mpiaijcusp.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex4.c.html